services:
    _defaults:
        autoconfigure: true

    Revierstil\RecruitingPortalBundle\Repository\JobOfferRepository:
        arguments:
            - '%kernel.project_dir%'
            - '@translator'

    Revierstil\RecruitingPortalBundle\Controller\ContentElement\JobOfferListController:
        arguments:
            - '@Revierstil\RecruitingPortalBundle\Repository\JobOfferRepository'
            - '%contao.web_dir%'

    Revierstil\RecruitingPortalBundle\Controller\ContentElement\JobOfferFilterController:
        arguments:
            - '@Revierstil\RecruitingPortalBundle\Repository\JobOfferRepository'
            - '%contao.web_dir%'

    Revierstil\RecruitingPortalBundle\Controller\FrontendModule\JobOfferReaderController:
        arguments:
            - '@Revierstil\RecruitingPortalBundle\Repository\JobOfferRepository'
